package sun.management.snmp.jvmmib;

import com.sun.jmx.snmp.SnmpStatusException;

public interface JvmMemoryMBean
{
    public abstract Long getJvmMemoryNonHeapMaxSize() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryNonHeapCommitted() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryNonHeapUsed() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryNonHeapInitSize() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryHeapMaxSize() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryHeapCommitted() throws SnmpStatusException;
    
    public abstract EnumJvmMemoryGCCall getJvmMemoryGCCall() throws SnmpStatusException;
    
    public abstract void setJvmMemoryGCCall(EnumJvmMemoryGCCall p0) throws SnmpStatusException;
    
    public abstract void checkJvmMemoryGCCall(EnumJvmMemoryGCCall p0) throws SnmpStatusException;
    
    public abstract Long getJvmMemoryHeapUsed() throws SnmpStatusException;
    
    public abstract EnumJvmMemoryGCVerboseLevel getJvmMemoryGCVerboseLevel() throws SnmpStatusException;
    
    public abstract void setJvmMemoryGCVerboseLevel(EnumJvmMemoryGCVerboseLevel p0) throws SnmpStatusException;
    
    public abstract void checkJvmMemoryGCVerboseLevel(EnumJvmMemoryGCVerboseLevel p0) throws SnmpStatusException;
    
    public abstract Long getJvmMemoryHeapInitSize() throws SnmpStatusException;
    
    public abstract Long getJvmMemoryPendingFinalCount() throws SnmpStatusException;
}
